Skip to main content
GET
/
1
/
user-data
/
{userToken}
curl
curl --request GET \
  --url https://example.algolia.net/agent-studio/1/user-data/lorem \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "conversations": [
    {
      "agentId": "<string>",
      "createdAt": "<string>",
      "id": "<string>",
      "messages": [
        {
          "conversationId": "<string>",
          "createdAt": "<string>",
          "id": "<string>",
          "parts": [
            {
              "text": "<string>",
              "type": "text"
            }
          ],
          "updatedAt": "<string>",
          "inputTokens": 123,
          "model": "<string>",
          "outputTokens": 123,
          "turnContext": {}
        }
      ],
      "updatedAt": "<string>",
      "conversationMetadata": {
        "cachedAt": "<string>"
      },
      "feedback": [
        {
          "agentId": "<string>",
          "createdAt": "<string>",
          "id": "<string>",
          "messageId": "<string>",
          "tags": [
            "<string>"
          ],
          "updatedAt": "<string>",
          "vote": 123,
          "model": "<string>",
          "notes": "<string>"
        }
      ],
      "isFromDashboard": false,
      "lastActivityAt": "<string>",
      "messageCount": 0,
      "title": "<string>",
      "totalInputTokens": 0,
      "totalOutputTokens": 0,
      "totalTokens": 0,
      "userToken": "<string>"
    }
  ],
  "memories": [
    {
      "rawExtract": "<string>",
      "text": "<string>",
      "_tags": [
        "<string>"
      ],
      "agentIDs": [
        "<string>"
      ],
      "appId": "",
      "createdAt": 0,
      "episode": {
        "action": "<string>",
        "observation": "<string>",
        "result": "<string>",
        "thoughts": "<string>"
      },
      "keywords": [
        "<string>"
      ],
      "objectID": "<string>",
      "recallTriggers": [
        "<string>"
      ],
      "topics": [
        "<string>"
      ],
      "updatedAt": 0,
      "userID": ""
    }
  ]
}
This is a beta feature according to Algolia’s Terms of Service (“Beta Services”).
Required ACL: logs

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

userToken
string
required

The userToken.

Response

Successful Response.

conversations
conversationFullResponse · object[]
required
memories
memoryRecord · object[]
required
Last modified on June 15, 2026